<?php
   
   if($_GET["TELA"] == '1')
   {
      //echo "<DEVICE TYPE=COPYTO NAME=M:GPSLOG.TXT ERR=GOSLOGERROR>";
      echo "<DATA DESTINATION=PARSER>";
      echo "  dofile('navs.o')";
      echo "  navs.console('-- LUA --')";

      echo "while(1) do print('ola') end";

      //echo "  echo ('<CONSOLE>-- LUA --</CONSOLE>')";
      echo "</DATA>";

      echo "<CONSOLE>";
      echo "<BR>       -- TESTE GPS --<BR><BR><BR>";
      echo "  Este POS tentara obter as<BR>";
      echo "  coordenadas em intervalos<BR>";
      echo "  de 10 minutos!<BR><BR><BR><BR><BR><BR><BR>";
      echo "       Pressione ENTER<BR>";
      echo "      para verificar as<BR>";
      echo "        coordenadas...";
      echo "</CONSOLE>";

      //echo "<ANIMATE FILENAME=chick.gif NUM_FRAMES=2 ROW=150 COLUMN=100>";

      echo "<GET TYPE=ANYKEY>";

      echo "<GPS LAST_READ=LR LAST_SUCCESS=LS GPS_ERROR=GPSE>";
      echo "<GET TYPE=HIDDEN NAME=TELA VALUE=2>";
      echo "<POST>";
   }
   else
   {
      echo "<CONSOLE>";
      echo "<BR>       -- RESULTADO --<BR><BR><BR>";

      //echo $_GET["LR"]."<BR>";

      echo " ULTIMA LEITURA:<BR>";

      $i = strpos($_GET["LR"], "MSG");
      $j = strpos($_GET["LR"], ",");

      if($i !== false)
      {
         echo " CODIGO: ".substr($_GET["LR"], $i + 4, ($j - 4))."<BR>";
      }

      $i = strpos($_GET["LR"], "TS");

      if($i !== false)
      {
         $ano = substr($_GET["LR"], $i + 3, 4);
         $mes = substr($_GET["LR"], $i + 7, 2);
         $dia = substr($_GET["LR"], $i + 9, 2);
         $hora = substr($_GET["LR"], $i + 11, 2);
         $minutos = substr($_GET["LR"], $i + 13, 2);
         $segundos = substr($_GET["LR"], $i + 15, 2);

         echo " ".$dia."/".$mes."/".$ano." - ".$hora.":".$minutos.":".$segundos."<BR>";
      }

      echo "<BR><BR> ULTIMA LEITURA COM SUCESSO:<BR>";

      if($_GET["GPSE"] == "0")
      {
         $i = strpos($_GET["LS"], "LT");
         $j = strpos($_GET["LS"], ",");

         if($i !== false)
         {
            echo " LATITUDE: ".substr($_GET["LS"], $i + 3, ($j - 3))."<BR>";
         }

         $i = strpos($_GET["LS"], "LN");
         $j = strpos($_GET["LS"], ",", strpos($_GET["LS"], ",") + 4);

         if($i !== false)
         {
            echo " LONGITUIDE: ".substr($_GET["LS"], $i + 3, ($j - $i - 3))."<BR>";
         }
         
         $i = strpos($_GET["LS"], "TS");

         if($i !== false)
         {
            $ano = substr($_GET["LS"], $i + 3, 4);
            $mes = substr($_GET["LS"], $i + 7, 2);
            $dia = substr($_GET["LS"], $i + 9, 2);
            $hora = substr($_GET["LS"], $i + 11, 2);
            $minutos = substr($_GET["LS"], $i + 13, 2);
            $segundos = substr($_GET["LS"], $i + 15, 2);

            echo " ".$dia."/".$mes."/".$ano." - ".$hora.":".$minutos.":".$segundos."<BR>";
         }
      }
      else
      {
         echo " Este POS nunca obteve as<BR> coordenadas!";
      }

      echo "</CONSOLE>";

      echo "<GET TYPE=ANYKEY>";
      echo "<GET TYPE=HIDDEN NAME=TELA VALUE=1>";
      echo "<POST>";
   }
?>